import React, { Component } from "react";
import { connect } from "react-redux";
import BannerContainer from '@containers/TypeConfigContainer';
//  引入组件
import BodyContainer from "@components/BodyContainer";

import {HIDEDROP,SETMINSCREEN} from '@store/types/homePage.js';
import style from './index.less';
/*import {getInitModules} from '@store/async-actions/homePage.js';*/
import { getUrlArgObject } from "@utils/tools";
import $ from 'jquery';
class HomePage extends Component {
    constructor() {
        super();
        this.state={
            timer:null
        }
    }
    
    componentDidMount(){
        const {setWindow} = this.props;
       /* clearTimeout(this.state.timer);
        const that = this;
        const timer = setTimeout(function(){//解决患者信息在获取模板之后的问题
            that.props.getInit();
        },200)
        this.setState({
            timer
        }) */ 
        // 获取并监听窗口宽度，用于有横向滚动条时患者信息和打印预览跟随滚动
        let width = $(window).width();
        let height = $(window).height();
        setWindow && setWindow({width,height});
        
        $(window).resize(function(){
            let reWidth = $(window).width(); 
            let reHeight = $(window).height();  
            setWindow && setWindow({width:reWidth,height:reHeight});
        })    

    }
    render() {
        return <div className={style['home-page']} onClick={this.props.hideAllDrop}>
            <BannerContainer />
            {/* <InfoTitle /> */}
            <BodyContainer></BodyContainer>
        </div>;
    }
}

const mapStateToProps = function (state) {
  return {

  }
};
const mapDispatchToProps = function (dispatch) {
    return {
        hideAllDrop(){
            dispatch({
              type:HIDEDROP
            });
        },
        /*getInit(){
            dispatch(getInitModules);
        }*/
        setWindow(obj){
            dispatch({
                type:SETMINSCREEN,
                obj:obj
            })
        }
    }
};

export default connect(mapStateToProps, mapDispatchToProps)(HomePage);